/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */


/* Сторінка товару Robot Master STANDARD (postid-2523) */
.video-product {
    max-width: 500px;
    width: 100% !important;
    height: auto !important;
    margin: 0 auto; /* якщо хочеш по центру */
}

/* 🛒 Cross-sells: показати 4 товари на ПК */
.woocommerce .cross-sells ul.products {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

/* 📱 Адаптація для планшетів і мобільних */
@media (max-width: 1024px) {
  .woocommerce .cross-sells ul.products {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 600px) {
  .woocommerce .cross-sells ul.products {
    grid-template-columns: 1fr;
  }
}
.sale-price ins span.woocommerce-Price-amount.amount {
    color: #FF011C;
}
 .ct-cart-totals-modules {
    margin-top: 1.5em;
}

[data-products=type-2] .ct-woo-card-actions {
    border-bottom: 0 !important;
    display: grid !important;
    align-items: center;
    margin-top: auto;
    grid-auto-flow: row dense;
    justify-content: center;
    justify-items: center;
}
[data-products=type-2] .ct-woo-card-actions>* {
    min-height: 30px !important;
}
a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart {
    border-radius: 5px;
    background: linear-gradient(90deg, #04A6DA 0%, #0EC98F 100%);
    border: 0;
    color: #fff;
    margin-bottom: 10px;
}
[data-products=type-2] .ct-woo-card-actions .price:not(:only-child):after {
    display: none;
}
a[data-value="1273"] .ct-filter-label::after, a[data-value="1302"] .ct-filter-label::after {
  content: "";
  display: inline-block;
  width: 18px;   /* підлаштуй розмір */
  height: 18px;
  margin-left: 6px; /* відступ від тексту */
  margin-bottom: -5px;
  background: url('http://makerzoid.co.uk/wp-content/uploads/2025/09/5a43effa-c58a-49bd-8975-29991a32fe67.svg') no-repeat center center;
  background-size: contain;
}
a.button.checkout.wc-forward,a.checkout-button.button.alt.wc-forward,button#place_order,button.single_add_to_cart_button.button.alt {
    background: #fdb016;
    color: #212529;
}
button.single_add_to_cart_button.button.alt:focus,button.single_add_to_cart_button.button.alt:hover,.button.checkout.wc-forward:focus,a.button.checkout.wc-forward:hover,a.checkout-button.button.alt.wc-forward:focus,a.checkout-button.button.alt.wc-forward:hover,button#place_order:focus,button#place_order:hover {
    background: #FBBF47;
    color: #212529;
}
button.single_add_to_cart_button.button.alt:active,.button.checkout.wc-forward:active,a.checkout-button.button.alt.wc-forward:active,button#place_order:active {
    background: #f5a400;
    color: #212529;
}

[data-products] .product {
  margin-bottom: 0 !important;
  padding-bottom: 0 !important;
}

h1, h2,h3,h4,h5,h6 {
    background: linear-gradient(90deg, #04A6DA 26.13%, #0EC98F 74.39%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.text-center {
    text-align: center;
}
.grid-row-product {
    display: grid;
    gap: 40px;
    text-align: center;
    grid-template-columns: 1fr 1fr 1fr;
	align-content: center;
    justify-items: center;
    justify-content: center;
}
.grid-row {
    display: grid;
    gap: 40px;
    text-align: center;
    grid-template-columns: 1fr 1fr;
}
.text-left {
	text-align:left;
}
.pad-20 {
	padding:20px;
}
.block1, .block3 {
  display: flex;
  margin-top: 40px;
  gap: 25px;
  align-items: center;
  padding: 10px;
}
.block2 {
  display: flex;
  flex-wrap: wrap;
  margin-top: 80px;
}
.block1 p, .block2 p, .block3 p,.block4 p {
    padding-bottom: 10px;
	margin-bottom: 0;
}
.margin-top100 {
    margin-top: 80px;
}
.margin-bottom40 {
	margin-bottom: 40px;
}
section.related.products {
    margin-bottom: 80px;
}
.padding-bottom40 {
	padding-bottom:40px
}

.p18 {
    font-weight: 500;
    font-size: 18px;
    line-height: 28px;
	text-align:center;
}
	.border-line {
    margin-bottom: 25px;
    border-radius: 15px;
    border: 2px solid #00d58d38;
    background: #FFF;
}
.allset {
	padding: 60px 20px !important;
	text-align:center;
}
.learn-in-game {
	border-radius: 15px;
	background: linear-gradient(90deg, rgba(4, 166, 218, 0.08) 0%, rgba(14, 201, 143, 0.08) 100%);
}
.flex-row-product {
    display: flex;
    gap: 40px;
}
.flex-row-product  #product {
	margin-bottom:20px;
}

.block2 .item {
  flex: 1 0 33.33%;
  padding: 5px;
}
.col-6.width65 {
	width: 65%;
}
.col-6.width35 {
	width: 35%;
}
.century21st {
	font-weight: 700;
    font-size: 22px;
    line-height: 38px;
    text-align: center;
	justify-content: center;
	padding: 40px;
}
.century21st a.fl-button {
    padding: 10px;
	font-size: 16px;
}
.col-md-6 {
    width: 50%;
    float: left;
}

	a.apps img {
    margin-top: 29px;
}
li.product .entry-meta[data-id="R1QhiBvmvmFriUpncX4Xm"] {
    position: absolute;
    top: 20px;
    left: 10px;
    font-size: 12px;
    z-index: 10;
}
li.product .entry-meta[data-id="R1QhiBvmvmFriUpncX4Xm"] a {
    color: white;
    padding: 5px 5px;
    border-radius: 4px;
}
li.product .entry-meta[data-id="R1QhiBvmvmFriUpncX4Xm"] a.ct-term-2421 {
    background-color: rgb(251, 191, 71);
}
li.product .entry-meta[data-id="R1QhiBvmvmFriUpncX4Xm"] a.ct-term-2418 {
    background-color: #FF6B6B;
}
li.product .entry-meta[data-id="R1QhiBvmvmFriUpncX4Xm"] a.ct-term-2435 {
    background-color: #BE2929;
}
li.product .entry-meta[data-id="R1QhiBvmvmFriUpncX4Xm"] a.ct-term-2420 {
    background-color: #4ECDC4;
}
li.product .entry-meta[data-id="R1QhiBvmvmFriUpncX4Xm"] a.ct-term-2419 {
    background-color: #4A90E2;
}
li.product .entry-meta[data-id="R1QhiBvmvmFriUpncX4Xm"] a.ct-term-2425 {
    background-color: #2E8B57;
}
li.product .entry-meta[data-id="R1QhiBvmvmFriUpncX4Xm"] a.ct-term-2422 {
    background-color: #008B8B;
}
 /* бейдж знижки */
li.product .entry-meta[data-id="R1QhiBvmvmFriUpncX4Xm"] a.ct-term-2444 {
    background-color: #B8EB34;
}
li.product .ct-media-container {
    position: relative; /* потрібно для абсолютного позиціонування бейджа всередині */
}
[data-products=type-2] .product {
flex-direction: row !important;
    flex-wrap: wrap;
    text-align: center;
    justify-content: center;
}
ul.entry-meta[data-id="0VjFtNiFGryF0XkuIzrUC"]::before,ul.entry-meta[data-id="a81mFxN0Q93ak-P9_fkRP"]::before,ul.entry-meta[data-id="s3m_x7BHsl6BFl7ef-Bco"]::before,ul.entry-meta[data-id="RKx61gHyqfQmMxT0gdSKn"]::before {
    content: '';
    display: inline-block;
    background-size: contain;
    background-repeat: no-repeat;
    width: 16px;
    height: 16px;
    margin: 0 5px;
    vertical-align: middle; 
}
ul.entry-meta[data-id="0VjFtNiFGryF0XkuIzrUC"]::before {
    background-image: url(http://makerzoid.co.uk/wp-content/uploads/2025/07/icon1.svg);
}
ul.entry-meta[data-id="a81mFxN0Q93ak-P9_fkRP"]::before {
    background-image: url(http://makerzoid.co.uk/wp-content/uploads/2025/07/icon2.svg);
}
ul.entry-meta[data-id="s3m_x7BHsl6BFl7ef-Bco"]::before {
    background-image: url(http://makerzoid.co.uk/wp-content/uploads/2025/07/icon3.svg);
}
ul.entry-meta[data-id="RKx61gHyqfQmMxT0gdSKn"]::before {
    background-image: url(http://makerzoid.co.uk/wp-content/uploads/2025/09/icon-type.svg);
}
ul.entry-meta a {
  pointer-events: none; /* Робить елемент неклікабельним */
  color: grey;          /* Візуально показує, що посилання неактивне */
  text-decoration: none;/* Прибирає підкреслення */
  cursor: default;      /* Змінює курсор на стандартний */
}


span.woocommerce-loop-product__title {
    width: 100%;
}

.messenger-icons2 {
    display: flex;
    justify-content: flex-start;
}

.messenger-icon2 {
    display: inline-block;
    cursor: pointer;
}

.messenger-icon2 img {
    width: 40px;
    height: 40px;
	margin:10px 30px 10px 0;
}

.pdf-instr {
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: center;
	gap: 5px;
	border-radius: 15px;
    border: 2px solid #04a6da3b;
    background: #FFF;
    padding: 50px;
	margin: 0px;
	text-align: center;
}
.container-product .pdf-instr {
  margin: 40px 0;
}
.pdf-instr p {
    margin-block-end: 0;
}
@media (max-width: 768px) {
    	.item {
    flex: 1 0 auto;
  }
    
.block1, .block2, .block3 {
	flex-direction: column;
  }
.column {
    flex: 1 0 auto;
  }
	.item {
    flex: 1 0 auto;
  }
	.container-product .pdf-instr a {
  text-align: center;
}
.col-6.width65 {
	width: 100%;
}
.col-6.width35 {
	width: 100%;
}
	.century21st {
    font-size: 18px;
    line-height: 28px;
}
}

@media (max-width: 680px) {
.col-4 {
    width: 33%;
    float: left;
}
.col-6 {
    width: 50%;
    float: left;
}
  	.flex-row-product {
    flex-direction: column;
}
	.app .col-md-6 {
	width: 50%; 
	}
	.app img.qrcode {
    width: 118px;
}
	a.apps {
    position: relative;
    left: -40%;
	top: 10px;
}
	.col-md-6 {
	width: 100%; 
	}
	.grid-row-product {
    grid-template-columns: 1fr;
}
	.grid-row {
    grid-template-columns: 1fr;
}
}


@media (max-width: 450px) {
    .app .col-md-6 {
        width: 100%;
    }
	.row.app {
    padding: 10px;
}
	a.apps {
        left: 0;
    }
}

.ct-video-indicator {
	width: 64px;
	height: 64px;
}

.ct-video-indicator svg {
	display: none !important;
}

.ct-video-indicator::before {
	content: '';
	position: absolute;
	inset: 0;
	background: url('/wp-content/uploads/play-icon.png') center/contain no-repeat;
	transition: transform 0.25s ease, opacity 0.25s ease;
}

/* hover */
.ct-media-container:hover .ct-video-indicator::before {
	transform: scale(1.1);
	opacity: 0.9;
}
.ct-video-indicator {
	display: block;
	align-items: center;
	justify-content: center;
    top: 45% !important;
    left: 45% !important;
}
.flexy-pills .ct-video-indicator {
    width: 35px;
    height: 35px;
}
.flexy-pills .ct-video-indicator {
    display: block;
    top: 35%;
    left: 31%;
}
.limited-offer-label {
    color: #e10600;
    font-weight: 500;
    margin-left: 4px;
    white-space: nowrap;
}
